From 60858dbec132c84cfc0c2d1f42052148b0b9b826 Mon Sep 17 00:00:00 2001
From: Nitheesh Sekar <nsekar@codeaurora.org>
Date: Thu, 2 May 2019 21:20:16 +0530
Subject: [PATCH 10/15] TEMP: NOT FOR REVIEW: qcom: stub out write protect gpio

Change-Id: I855c3142becc9b3d036d9facad593b05834b9c56
Signed-off-by: Nitheesh Sekar <nsekar@codeaurora.org>
---
 src/board/mistral/board.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/board/mistral/board.c b/src/board/mistral/board.c
index e9d019d24515..7a5e295bd369 100644
--- a/src/board/mistral/board.c
+++ b/src/board/mistral/board.c
@@ -27,6 +27,7 @@
 #include "drivers/bus/usb/usb.h"
 #include "drivers/power/psci.h"
 #include "drivers/storage/sdhci_msm.h"
+#include "drivers/gpio/sysinfo.h"
 
 #define TLMM_BOOT_SEL		0x010C1000
 #define EMMC_BOOT		0x8000000
@@ -79,8 +80,7 @@ static DeviceTreeFixup ipq_enet_fixup = {
 static int board_setup(void)
 {
 	/* stub out required GPIOs for vboot */
-	flag_replace(FLAG_LIDSW, new_gpio_high());
-	flag_replace(FLAG_PWRSW, new_gpio_low());
+	sysinfo_install_flags(NULL);
 
 	power_set_ops(&psci_power_ops);
 
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

